relaxngcc.codedom

## Class CDMethod

- java.lang.Object
- - relaxngcc.codedom.CDMethod

    public class CDMethod
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CDMethod(CDLanguageSpecificString forwardspecifier, CDType returntype, java.lang.String name, CDLanguageSpecificString backwardspecifier)`

### Method Summary

Methods
`CDBlock` `body()` Gets a reference to the method body.
`CDVariable` `param(CDType type, java.lang.String name)` Adds a new parameter to this method and returns a reference to it.
`void` `writeTo(CDFormatter f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDMethod

    public CDMethod(CDLanguageSpecificString forwardspecifier,
            CDType returntype,
            java.lang.String name,
            CDLanguageSpecificString backwardspecifier)

### Method Detail

#### param

    public CDVariable param(CDType type,
                   java.lang.String name)

Adds a new parameter to this method and returns a reference to it.

#### body

    public CDBlock body()

Gets a reference to the method body.

#### writeTo

    public void writeTo(CDFormatter f)
                 throws java.io.IOException

Throws:
  `java.io.IOException`